ch.qos.logback.core.hook

## Interface ShutdownHook

All Superinterfaces:
  ContextAware, Runnable

All Known Implementing Classes:
  DelayingShutdownHook, ShutdownHookBase

    public interface ShutdownHook
    extends Runnable, ContextAware

Interface describing a logback shutdown hook implementation

Author:
  Mike Reinhold

### Method Summary

### Methods inherited from interface java.lang.Runnable

`run`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`